--- old/usr/src/cmd/sgs/libld/common/files.c	2013-04-13 18:42:48.039694257 -0400
+++ new/usr/src/cmd/sgs/libld/common/files.c	2013-04-13 18:42:48.051963211 -0400
@@ -2821,6 +2821,14 @@
 	}
 
 	/*
+	 * Now group information has been processed, we can safely validate
+	 * that nothing is fishy about the section COMDAT description.  We
+	 * need to do this prior to placing the section (where any
+	 * SHT_SUNW_COMDAT sections will be restored to being PROGBITS)
+	 */
+	ld_comdat_validate(ofl, ifl);
+
+	/*
 	 * Now that all of the input sections have been processed, place
 	 * them in the appropriate output sections.
 	 */
